# This file was auto-generated by Shut. DO NOT EDIT
# For more information about Shut, check out https://pypi.org/project/shut/

from __future__ import print_function
import io
import os
import setuptools
import sys

readme_file = 'README.md'
if os.path.isfile(readme_file):
  with io.open(readme_file, encoding='utf8') as fp:
    long_description = fp.read()
else:
  print("warning: file \"{}\" does not exist.".format(readme_file), file=sys.stderr)
  long_description = None

requirements = [
  'click >=7.1.0',
  'pyyaml',
]

setuptools.setup(
  name = 'env-alias',
  version = '0.3.6',
  author = 'Nicholas de Jong',
  author_email = 'contact@nicholasdejong.com',
  description = 'Powerful helper utility to create shell alias commands to easily set collections of environment variables often with secret values from a variety of data-sources and data-formats.',
  long_description = long_description,
  long_description_content_type = 'text/markdown',
  url = 'https://env-alias.readthedocs.io/',
  license = 'BSD2',
  packages = setuptools.find_packages('src', ['test', 'test.*', 'tests', 'tests.*', 'docs', 'docs.*']),
  package_dir = {'': 'src'},
  include_package_data = True,
  install_requires = requirements,
  extras_require = {},
  tests_require = [],
  python_requires = '>=3.6.0,<4.0.0',
  data_files = [],
  entry_points = {
    'console_scripts': [
      'env-alias = env_alias.cli.entrypoints:env_alias',
      'env-alias-generator = env_alias.cli.entrypoints:env_alias_generator',
    ]
  },
  cmdclass = {},
  keywords = ['env-alias', 'shell', 'env', 'alias', 'bash'],
  classifiers = ['Environment :: Console', 'Intended Audience :: Developers', 'Intended Audience :: Information Technology', 'Programming Language :: Python :: 3.6', 'Programming Language :: Python :: 3.7', 'Programming Language :: Python :: 3.8', 'Programming Language :: Python :: 3.9', 'License :: OSI Approved :: BSD License'],
  zip_safe = True,
)
